1. Bertrand Goetzmann
  2. grails-atmosphere-plugin
Issue #4 new

Grails 2.0, Atmosphere and WebSockets

Anonymous created an issue

I am trying to get a sample WebSocket app running on grails 2.0 with jetty 7.5 in dev mode. I generated a simple AtmosphereHandler, but whenever I try to connect via a WebSocket I get the following error message:

| Error 2011-11-24 17:18:32,075 ["http-bio-8080"-exec-4] ERROR [/jet2].[StratosphereServlet] - Servlet.service() for servlet [StratosphereServlet] in context with path [/jet2] threw exception Message: null Line | Method ->> 197 | upgrade in org.eclipse.jetty.websocket.WebSocketFactory


| 320 | acceptWebSocket in '' | 78 | service . . . . in org.eclipse.jetty.websocket.WebSocketServlet | 26 | doFilter in org.grails.plugin.resource.DevModeSanityFilter | 886 | runTask . . . . in java.util.concurrent.ThreadPoolExecutor$Worker | 908 | run in '' ^ 619 | run . . . . . . in java.lang.Thread

I want to Betrand for this great plugin and all the work he did. Any suggestions as to what might be the rpoblem are highly appreciated. Best wishes Peter, Switzerland

Comments (1)

  1. Log in to comment